Subject: Re: git grep -E doesn't accept \b word boundaries?

From: Junio C Hamano <[email-masked]>
Date: Wed, 03 May 2023 13:45:18 -0700

Kevin Ushey <[email-masked]> writes:

> Thanks for the quick response! I wonder if this issue could be macOS-specific?

Ah, yes, I somehow thought you mentioned Ubuntu and totally blocked
that macOS issue out of my mind, but I do recall that it has been
reported that build with macOS native regexp library is broken a few
times recently on this list.

    https://lore.kernel.org/git/?q=macOS+regexp

finds this thread, which unfortunately was mistitled to make them
sound as if they were about "-P", but the issue in the thread was
about extended regexp.

  https://lore.kernel.org/git/[email-masked]/